-
  I create event registation record to call event onchange and partner onchange.
-
  !record {model: event.registration, id: reg_0_1}:
    event_id: event_0
    partner_id: base.res_partner_1
    name: 'Ticket for Concert'
-
  I create event record to call product onchange and team onchange.
-
  !record {model: event.event, id: event_2}:
    product_id: event_product_2
    name: 'Conference on ERP Buisness'
-
  I call onchange event from event registration wizard. 
-
  !python {model: partner.event.registration}: |
    context.update({'active_id': ref("base.res_partner_5")})
    self.onchange_event_id(cr, uid, 1, ref("event_1"), context=context)
-
  I confirm event from wizard.
-
  !python {model: event.confirm}: |
    context.update({'event_ids': [ref("event_2")]})
    id = self.create(cr, uid , {})
    self.confirm(cr, uid, [id], context=context)
-
  I call close registration process.
-
  !python {model: event.registration}: |
    self.button_reg_close(cr, uid, [ref("reg_0_2")])
